Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo
Class NodeBranchDataEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

Direct Known Subclasses:
  CalculateColumnEdit, CopyColumnEdit, DeleteColumnEdit, DeleteOutsideIntervalEdit, SetColumnTypeEdit

    public abstract class NodeBranchDataEdit

extends DocumentEdit

Can be used as a superclass for edits which change a node/branch data column. Implements restoring the previous values of that column.

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary
`protected NodeBranchDataAdapter` | `adapter`
`protected NodeBranchDataBackup` | `backup`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`NodeBranchDataEdit(Document document, NodeBranchDataAdapter adapter)`

Method Summary
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, redo, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.undo.UndoableEdit
`getPresentationName`

Field Detail

### adapter

    protected NodeBranchDataAdapter adapter

### backup

    protected NodeBranchDataBackup backup

Constructor Detail

### NodeBranchDataEdit

    public NodeBranchDataEdit(Document document,
                              NodeBranchDataAdapter adapter)

Method Detail

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `undo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD